Subject: Re: bug#47643: WIP-GNOME: gst-plugins-base

From: Raghav Gururajan <[email-masked]>
Date: Sat, 10 Apr 2021 08:09:26 -0400

On 2021-04-10 7:00 a.m., 宋文武 wrote:
> Leo Prikler <[email-masked]> writes:
> 
>> From: Raghav Gururajan <[email-masked]>
>>
>> * gnu/packages/gstreamer.scm (gst-plugins-base)[inputs]: Add gdk-pixbuf+svg,
>> glu, graphene, gtk+, iso-codes, libgudev, libjpeg-turbo, libvisual,
>> libxshmfence, mesa, sdl and wayland.
> 
> Oh, I missed this one, and had sent a 'gst-plugins-base: Enable more
> features' patch, which missing the opus 32bit skip part, I found that
> was enabled by commit ea73e829d7d, so I think it should fine.
> 
> Also we can remove gdk-pixbuf, gtk+ and sdl, as they are only for
> examples.  And libxshmfence is not needed, since I didn't find it
> referenced in the source..

I suspect gdk-pixpuf be used by any of the plugins/codecs during 
runtime. Removing other two are OK.

Regards,
RG.